> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gptproto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Veo-3.1-Generate-Preview - Text To Video

> Veo-3.1-Generate-Preview — Text To Video. GPTProto API reference.

Gemini's veo 3.1 generate preview for the text to video API.

<CodeGroup>
  ```bash cURL theme={null}
  curl --location 'https://api.gptproto.com/v1beta/models/veo-3.1-generate-preview:predictLongRunning' \
    --header 'x-goog-api-key: YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
      "instances": [
          {
              "prompt": "a cat"
          }
      ]
  }'
  ```

  ```python Python theme={null}
  import requests
  import json

  url = "https://api.gptproto.com/v1beta/models/veo-3.1-generate-preview:predictLongRunning"
  headers = {
      "x-goog-api-key": "YOUR_API_KEY",
      "Content-Type": "application/json"
  }

  data = {
      "instances": [
          {
              "prompt": "a cat"
          }
      ]
  }

  response = requests.post(url, headers=headers, json=data)
  result = response.json()
  print(json.dumps(result, indent=2))
  ```

  ```javascript JavaScript theme={null}
  const url = "https://api.gptproto.com/v1beta/models/veo-3.1-generate-preview:predictLongRunning";
  const headers = {
    "x-goog-api-key": "YOUR_API_KEY",
    "Content-Type": "application/json"
  };

  const data = {
    "instances": [
      {
        "prompt": "a cat"
      }
    ]
  };

  fetch(url, {
    method: "POST",
    headers: headers,
    body: JSON.stringify(data)
  })
    .then(response => response.json())
    .then(data => console.log(data))
    .catch(error => console.error("Error:", error));
  ```

  ```go Go theme={null}
  package main

  import (
      "bytes"
      "encoding/json"
      "fmt"
      "io/ioutil"
      "net/http"
  )

  func main() {
      url := "https://api.gptproto.com/v1beta/models/veo-3.1-generate-preview:predictLongRunning"

      payload := []byte(`{
    "instances": [
      {
        "prompt": "a cat"
      }
    ]
  }`)

      req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
      req.Header.Set("x-goog-api-key", "YOUR_API_KEY")
      req.Header.Set("Content-Type", "application/json")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          panic(err)
      }
      defer resp.Body.Close()

      body, _ := ioutil.ReadAll(resp.Body)
      fmt.Println(string(body))
  }
  ```
</CodeGroup>

<CodeGroup>
  ```json 401 - Invalid signature theme={null}
  {
    "error": {
      "message": "Invalid signature",
      "type": "401"
    }
  }
  ```

  ```json 403 - Insufficient balance theme={null}
  {
    "error": {
      "message": "Insufficient balance",
      "type": "403"
    }
  }
  ```

  ```json 500 - Internal server error theme={null}
  {
    "error": {
      "message": "Internal server error",
      "type": "500"
    }
  }
  ```

  ```json 503 - Content policy violation theme={null}
  {
    "error": {
      "message": "Input may not meet the guidelines. Please adjust and try again.",
      "type": "503"
    }
  }
  ```
</CodeGroup>

## Parameters

## Parameters

| Parameter            | Type   | Required | Default | Description                                                       |
| -------------------- | ------ | -------- | ------- | ----------------------------------------------------------------- |
| `instances`          | array  | ✅ Yes    | -       | An array of instances containing the video generation parameters  |
| `instances[].prompt` | string | ✅ Yes    | `a cat` | The text prompt describing the video content you want to generate |
